# organize configuration file
# https://organize.readthedocs.io

rules:
  - name: "Import Vorlagen"
    locations:
      - "~/Library/Mobile Documents/com~apple~CloudDocs/PP-Import/_VORLAGEN"
      - "~/Nextcloud/Shares/Technik/003 - Beamer/_IMPORT/_VORLAGEN"
    subfolders: false
    filters:
      - extension: pro
    actions:
      - echo: "Vorlage gefunden: {path}"
      - move:
          dest: "~/Documents/ProPresenter-LIVE/Libraries/_VORLAGEN/"
          on_conflict: "rename_existing"
          rename_template: "{name}_ver{today()}-{counter}{extension}"

  - name: "Import Lieder"
    locations:
      - "~/Library/Mobile Documents/com~apple~CloudDocs/PP-Import/Lieder"
      - "~/Nextcloud/Shares/Technik/003 - Beamer/_IMPORT/Lieder"
    subfolders: false
    filters:
      - extension: pro
    actions:
      - echo: "Lied gefunden: {path}"
      - move:
          dest: "~/Documents/ProPresenter-LIVE/Libraries/Lieder/"
          on_conflict: "rename_existing"
          rename_template: "{name}_ver{today()}-{counter}{extension}"

  - name: "Import Gottesdienste"
    locations:
      - "~/Library/Mobile Documents/com~apple~CloudDocs/PP-Import/Gottesdienste"
      - "~/Nextcloud/Shares/Technik/003 - Beamer/_IMPORT/Gottesdienste"
    subfolders: false
    filters:
      - extension: pro
    actions:
      - echo: "Lied gefunden: {path}"
      - move:
          dest: "~/Documents/ProPresenter-LIVE/Libraries/Gottesdienste/"
          on_conflict: "rename_existing"
          rename_template: "{name}_ver{today()}-{counter}{extension}"
  - name: "Import Visuals"
    locations:
      - "~/Library/Mobile Documents/com~apple~CloudDocs/PP-Import/Visuals"
      - "~/Nextcloud/Shares/Technik/003 - Beamer/_IMPORT/Visuals"
    subfolders: false
    filters:
      - extension: jpg
    actions:
      - echo: "Visual gefunden: {path}"
      - move:
          dest: "~/Documents/ProPresenter-LIVE/Themes/Themenreihe/Assets/"
          on_conflict: "rename_existing"
          rename_template: "{name}_ver{today()}-{counter}{extension}"
      - move:
          dest: "~/Documents/ProPresenter-LIVE/Media/Assets/"
          on_conflict: "rename_existing"
          rename_template: "{name}_ver{today()}-{counter}{extension}"
